package sun.awt.windows;

import java.awt.Container;
import java.awt.Toolkit;
import sun.awt.AWTAccessor;
import java.awt.peer.ComponentPeer;
import java.awt.Frame;
import java.awt.print.PrinterJob;
import java.awt.PrintJob;
import java.awt.Dialog;

class WPrintDialog extends Dialog
{
    protected PrintJob job;
    protected PrinterJob pjob;
    private boolean retval;
    
    WPrintDialog(Frame owner, PrinterJob pjob) {
        super(owner, true);
        this.retval = false;
        this.pjob = pjob;
        this.setLayout(null);
    }
    
    WPrintDialog(Dialog owner, PrinterJob pjob) {
        super(owner, "", true);
        this.retval = false;
        this.pjob = pjob;
        this.setLayout(null);
    }
    
    final void setPeer(ComponentPeer componentPeer) {
        AWTAccessor.getComponentAccessor().setPeer(this, componentPeer);
    }
    
    @Override
    public void addNotify() {
        synchronized (this.getTreeLock()) {
            Container parent = this.getParent();
            if (parent != null && parent.getPeer() == null) {
                parent.addNotify();
            }
            if (this.getPeer() == null) {
                this.setPeer(((WToolkit)Toolkit.getDefaultToolkit()).createWPrintDialog(this));
            }
            super.addNotify();
        }
    }
    
    final void setRetVal(boolean retval) {
        this.retval = retval;
    }
    
    final boolean getRetVal() {
        return this.retval;
    }
    
    private static native void initIDs();
    
    static {
        initIDs();
    }
}
